# Create a Financial Address

Create a new FinancialAddress for a FinancialAccount (V2 shape).

## Request

```curl
curl -X POST https://api.stripe.com/v2/money_management/financial_addresses \
  -H "Authorization: Bearer <<YOUR_SECRET_KEY>>" \
  -H "Stripe-Version: 2026-10-28.endive" \
  --json '{
    "financial_account": "fa_654f0m3x1JLdhVIIIT1A16O0lef0dSQgZ0EhGyZsQCXQ28m",
    "type": "bank_account",
    "bank_account": {
        "currency": "usd"
    }
  }'
```

### Response

```json
{
  "id": "finaddr_61O5ng8AAMZt30I2YH16O0lef0dSQgZ0EhGyZsQCXQHG4",
  "object": "v2.money_management.financial_address",
  "type": "bank_account",
  "bank_account": {
    "type": "aba",
    "currency": "usd",
    "country": "us",
    "aba": {
      "routing_number": "",
      "bank_name": "",
      "account_holder_name": "",
      "account_holder_address": {
        "line1": "",
        "line2": "",
        "city": "",
        "state": "",
        "postal_code": ""
      }
    }
  },
  "financial_account": "fa_654f0m3x1JLdhVIIIT1A16O0lef0dSQgZ0EhGyZsQCXQ28m",
  "status": "pending",
  "created": "2023-03-30T17:22:06.188Z",
  "settlement_currency": "usd",
  "livemode": true
}
```

## Parameters

- `financial_account` (string, required)
  The ID of the FinancialAccount the new FinancialAddress should be associated with.

- `type` (enum, required)
  The type of FinancialAddress to create. Must agree with which branch of financial_address_type_properties is set.
Possible enum values:
  - `bank_account`
    A bank account FinancialAddress.

- [`bank_account`](https://docs.stripe.com/api/v2/money-management/financial-addresses/create.md?query=bank_account) (object, optional)
  Properties for creating a bank account FinancialAddress.

## Returns

Returns a [Financial Address object](https://docs.stripe.com/api/v2/money-management/financial-addresses/object.md).

## Error Codes

| HTTP status code | Code | Description |
| --- | --- | --- |
| 400 | financial_account_balance_does_not_support_currency |  |
| 400 | financial_account_capability_not_enabled | Error thrown when attempting to add currencies that require capabilities that are not enabled. |
| 400 | financial_account_capability_restricted | Error thrown when attempting to add currencies that require capabilities that are restricted. |
| 400 | financial_account_feature_restricted |  |
| 400 | financial_account_not_in_open_status |  |
| 400 | financial_account_operation_unsupported_for_property | Operation not supported on Financial Accounts with this type and property. |
| 400 | financial_account_operation_unsupported_for_type | Operation not supported on Financial Accounts with this type. |
| 400 | financial_account_unsupported_currency | Returned when a Financial Account cannot hold the requested settlement currency. |
| 400 | financial_account_unsupported_type | Returned when a Financial Account type does not support crypto wallet Financial Addresses. |
| 400 | financial_address_account_unsupported_configuration | Returned when an Account does not have a supported configuration. |
| 400 | financial_address_type_and_settlement_currency_pair_unsupported |  |
| 400 | financial_addresses_creation_limit_exceeded |  |
| 400 | storer_capability_missing | The required storer capabilities are missing. |
| 400 | storer_capability_not_active | The required storer capabilities are not active. |
| 400 | unsupported_country_for_bank_account_financial_address | Returned when the country is not supported for a bank_account Financial Address with the requested currency. |
| 400 | unsupported_crypto_wallet_settlement_currency | Returned when a crypto wallet cannot settle in the requested currency. |
| 400 | unsupported_currency | The currency is not supported for Financial Accounts. |
| 400 | unsupported_operation_with_managed_financial_account | Creation of an object is not allowed with a managed account. |
| 404 | not_found | The resource wasn’t found. |
| 409 | idempotency_error | An idempotent retry occurred with different request parameters. |
